Name:           htop
Version:        3.3.0
Release:        %mkrel 1
Summary:        Interactive text-mode process viewer for Linux
Summary(de):	Interaktiver Prozessbetrachter im Textmodus für Linux
License:        GPLv2+
Group:          Monitoring
URL:            http://htop.sourceforge.net/
Source0:        http://ovh.dl.sourceforge.net/htop/htop-%{version}.tar.xz
BuildRequires:  desktop-file-utils
BuildRequires:  %{_lib}ncurses-devel
BuildRequires:  %{_lib}ncursesw-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	%name < %version

%description
htop is an interactive process viewer for Linux, similar to top.
It requires ncurses. Tested with Linux 2.4 and 2.6.

Some advantages over top:

* you can scroll the list vertically and horizontally to see
  all processes and complete command lines
* htop starts faster than top
* you don't need to type the process number to kill a process
* you don't need to type the process number or the priority value to
  renice a process
* htop supports mouse operation

%description -l de
htop ist ein interaktiver Prozessbetrachter im Textmodus für Linux, der 
Ähnlichkeiten zu top aufweist. Es benötigt ncurses. Getestet mit Linux 2.4 und 2.6.

Ein paar Vorteile:
* Sie können in der Liste vertikal und horizontal skrollen, um alle Prozesse zu sehen und
  die vollständige Kommandozeile
* htop startet schneller als top
* Sie müssen keine Prozessnummer angeben um einen Prozess zu beenden
* Es ist nicht nötig die Prozessnummer oder einen Prioritätswert anzugeben, 
  um die Prozesspriorität zu erhöhen
* htop unterstützt Mausoperationen

%prep
%setup -q
%autopatch -p1

%build
export LDFLAGS="$LDFLAGS -ltinfo"
./autogen.sh
%{configure2_5x}
%{make}

%install
rm -rf %{buildroot}
%{makeinstall}

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-Monitoring" \
  --remove-key="Path" \
  --remove-key="Version" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}.*
%{_datadir}/icons/hicolor/scalable/apps/htop.svg

%changelog
* Fri Jan 12 2024 tex - 3.3.0-1pclos2024
- new version

* Sun Feb 05 2023 tex - 3.2.2-1pclos2023
- new version

* Fri Jun 03 2022 tex - 3.2.1-1pclos2022
- new version

* Mon May 02 2022 tex - 3.2.0-1pclos2022
- new version

* Tue Nov 30 2021 tex - 3.1.2-1pclos2021
- new version

* Fri Oct 15 2021 tex - 3.1.1-1pclos2021
- new version

* Tue Sep 21 2021 tex - 3.1.0-1pclos2021
- new version

* Wed Jan 13 2021 tex - 3.0.5-1pclos2021
- new version

* Thu Dec 31 2020 tex - 3.0.4-1pclos2021
- new version

* Tue Dec 08 2020 tex - 3.0.3-1pclos2020
- new version

* Tue Oct 20 2020 tex - 3.0.2-1pclos2020
- new version

* Fri Sep 04 2020 tex - 3.0.1-1pclos2020
- new version

* Fri Aug 28 2020 tex - 3.0.0-1pclos2020
- new version

* Sun Jul 07 2019 tex - 2.2.0-2pclos2019
- rebuild against updates

* Sat Apr 21 2018 Ken <lxgator at gmail.com> 2.2.0-1pclos2018
- 2.2.0

* Fri Dec 30 2016 ghostbunny <ghostbunny at gmx dot de> 2.0.2-1pclos2017
- 2.0.2

* Thu May 19 2016 bb <bb> 2.0.1-1pclos2016
- update

* Wed Feb 18 2015 bb <bb> 1.0.3-3pclos2015
- rebuid glibc

* Fri Oct 10 2014 bb <bb> 1.0.3-2pclos2014
- add deb patch

* Fri Apr 25 2014 ghostbunny <ghostbunny at gmx dot de> 1.0.3-1pclos2014
- 1.0.3

